Uploaded image for project: 'Lucee Development'
  1. LDEV-798

In Lucee admin, the link to a detail page for an OSGi bundle does not work when multiple versions are installed

    Details

    • Type: Bug
    • Status: Deployed
    • Priority: New
    • Resolution: Fixed
    • Affects Version/s: 5.0.0.219
    • Fix Version/s: 5.0.0.228
    • Labels:
      None

      Description

      In the Lucee admin, section "Info > Bundle (jar)", there is an edit link at the end of each row.
      The link looks like this: http://localhost:8888/lucee/admin/web.cfm?action=info.bundle&action2=create&symbolicName=org.apache.poi

      When multiple versions of the same package are installed, the link has no specification which version should be displayed on the details page.
      In my environment, I have poi 2.5 and 3.11 installed. But the edit link for both versions are the sae, and both show details for version 2.5.

      I would suggest to add an extra variable "&version=1.2.3.4".

        Attachments

          Activity

            People

            • Assignee:
              michaeloffner Michael Offner
              Reporter:
              frinky Paul Klinkenberg
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: